VkImageBlit Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkImageBlit:
[legend]

## Data Fields

VkImageSubresourceLayers | srcSubresource
VkOffset3D | srcOffsets [2]
VkImageSubresourceLayers | dstSubresource
VkOffset3D | dstOffsets [2]

## Detailed Description

Definition at line 2724 of file vulkan_core.h.

## Field Documentation

## dstOffsets

VkOffset3D VkImageBlit::dstOffsets[2]

Definition at line 2728 of file vulkan_core.h.

## dstSubresource

VkImageSubresourceLayers VkImageBlit::dstSubresource

Definition at line 2727 of file vulkan_core.h.

## srcOffsets

VkOffset3D VkImageBlit::srcOffsets[2]

Definition at line 2726 of file vulkan_core.h.

## srcSubresource

VkImageSubresourceLayers VkImageBlit::srcSubresource

Definition at line 2725 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h